Functions

# glm::virtrev_glmext::address Namespace Reference

GLM_VIRTREV_address extension: Vector & matrix content address (T const * type pointer). More...

## Functions
template<typename T >
T const * | address (detail::tvec2< T > const &vec)
| Get the const address of the vector content.
template<typename T >
T * | address (detail::tmat4x3< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | address (detail::tmat4x3< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | address (detail::tmat3x4< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | address (detail::tmat3x4< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | address (detail::tmat4x2< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | address (detail::tmat4x2< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | address (detail::tmat2x4< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | address (detail::tmat2x4< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | address (detail::tmat3x2< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | address (detail::tmat3x2< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | address (detail::tmat2x3< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | address (detail::tmat2x3< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | address (detail::tmat4x4< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | address (detail::tmat4x4< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | address (detail::tmat3x3< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | address (detail::tmat3x3< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | address (detail::tmat2x2< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | address (detail::tmat2x2< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | address (detail::tvec4< T > &vec)
| Get the address of the vector content.
template<typename T >
T const * | address (detail::tvec4< T > const &vec)
| Get the const address of the vector content.
template<typename T >
T * | address (detail::tvec3< T > &vec)
| Get the address of the vector content.
template<typename T >
T const * | address (detail::tvec3< T > const &vec)
| Get the const address of the vector content.
template<typename T >
T * | address (detail::tvec2< T > &vec)
| Get the address of the vector content.

## Detailed Description

GLM_VIRTREV_address extension: Vector & matrix content address (T const * type pointer).

## Function Documentation

T const* glm::virtrev_glmext::address::address | ( | detail::tvec2< T > const & | vec ) |

Get the const address of the vector content.

Definition at line 29 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tmat4x3< T > & | mat ) |

Get the address of the matrix content.

Definition at line 178 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tmat4x3< T > const & | mat ) |

Get the const address of the matrix content.

Definition at line 172 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tmat3x4< T > & | mat ) |

Get the address of the matrix content.

Definition at line 165 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tmat3x4< T > const & | mat ) |

Get the const address of the matrix content.

Definition at line 159 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tmat4x2< T > & | mat ) |

Get the address of the matrix content.

Definition at line 152 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tmat4x2< T > const & | mat ) |

Get the const address of the matrix content.

Definition at line 146 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tmat2x4< T > & | mat ) |

Get the address of the matrix content.

Definition at line 139 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tmat2x4< T > const & | mat ) |

Get the const address of the matrix content.

Definition at line 133 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tmat3x2< T > & | mat ) |

Get the address of the matrix content.

Definition at line 126 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tmat3x2< T > const & | mat ) |

Get the const address of the matrix content.

Definition at line 120 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tmat2x3< T > & | mat ) |

Get the address of the matrix content.

Definition at line 113 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tmat2x3< T > const & | mat ) |

Get the const address of the matrix content.

Definition at line 107 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tmat4x4< T > & | mat ) |

Get the address of the matrix content.

Definition at line 100 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tmat4x4< T > const & | mat ) |

Get the const address of the matrix content.

Definition at line 94 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tmat3x3< T > & | mat ) |

Get the address of the matrix content.

Definition at line 87 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tmat3x3< T > const & | mat ) |

Get the const address of the matrix content.

Definition at line 81 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tmat2x2< T > & | mat ) |

Get the address of the matrix content.

Definition at line 74 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tmat2x2< T > const & | mat ) |

Get the const address of the matrix content.

Definition at line 68 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tvec4< T > & | vec ) |

Get the address of the vector content.

Definition at line 61 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tvec4< T > const & | vec ) |

Get the const address of the vector content.

Definition at line 55 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tvec3< T > & | vec ) |

Get the address of the vector content.

Definition at line 48 of file address.hpp.

T const* glm::virtrev_glmext::address::address | ( | detail::tvec3< T > const & | vec ) |

Get the const address of the vector content.

Definition at line 42 of file address.hpp.

T* glm::virtrev_glmext::address::address | ( | detail::tvec2< T > & | vec ) |

Get the address of the vector content.

Definition at line 35 of file address.hpp.